<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'upload.title.' + day | translate }}
</h1>
<p class="mb-4">
	{{ 'upload.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p *ngIf="!pageActionsComponent.hasErrorFeedback" onError>
		{{ 'upload.pageActions.error' | translate }}
	</p>
	<p *ngIf="pageActionsComponent.hasErrorFeedback" onError>
		{{ 'error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'upload.pageActions.instruction' | translate }}
	</p>
	<ng-container [ngTemplateOutlet]="uploadButton" onReady></ng-container>
	<ng-container *ngIf="pageActionsComponent.hasErrorFeedback" [ngTemplateOutlet]="uploadButton" onError></ng-container>
	<ng-template #uploadButton>
		<button
				(click)="upload()"
				class="btn btn-primary"
				data-test="upload"
				type="button"
		>
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'upload.pageActions.upload' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'upload.pageActions.inProgress.' + day | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
	<p aria-live="polite" onComplete>
		{{ 'upload.pageActions.processCompleted' | translate }}
	</p>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>

<div *ngIf="showVoterPortalUrl" class="card mb-5">
	<div class="card-header">
		{{ 'upload.voterPortalUrlSection.title' | translate }}
	</div>
	<div class="card-body">
		<p aria-live="polite" >
			<i aria-hidden="true" class="bi bi-check-circle text-success"></i>
			{{ 'upload.voterPortalUrlSection.ready' | translate }}
		</p>
		<div class="input-group mb-3 mt-2">
			<span class="input-group-text">{{ 'upload.voterPortalUrlSection.url' | translate }}</span>
			<input aria-describedby="basic-addon2" class="form-control" readonly="readonly" type="text" value="{{ this.voterPortalUrl }}">
			<button (cbOnSuccess)="setCopied()" [cbContent]="this.voterPortalUrl" class="btn btn-outline-dark" ngxClipboard type="button">
				<i [ngClass]="!copied ? 'bi-clipboard2' : 'bi-clipboard2-check'" aria-hidden="true" class="bi"></i>
				{{ 'upload.voterPortalUrlSection.copy' | translate }}
			</button>
		</div>
	</div>
</div>
